%{!?_pkgdocdir:%global _pkgdocdir %{_docdir}/%{name}-%{version}}
%global gem_name pathutil

Name:		rubygem-%{gem_name}
Version:	0.14.0
Release:	4%{?dist}
Summary:	Faster pure Ruby implementation of Pathname with extra bits

License:	MIT
URL:		https://github.com/envygeeks/%{gem_name}
Source0:	https://rubygems.org/downloads/%{gem_name}-%{version}.gem
Source1:	https://raw.githubusercontent.com/envygeeks/pathutil/master/README.md#/%{gem_name}-README.md

BuildArch:	noarch
BuildRequires:	rubygems-devel

%description
Pathutil tries to be a faster pure Ruby implementation of Pathname.
It arose out of a need to fix basic problems with Pathname, such as
susceptibility to join overrides, need for automatic encoding, and
normalization (for stuff like Jekyll) and the ability to do other
safe-style operations in an encapsulated format, like copying files
and folders with symbolic links but only if they originate from the
given root.


%package doc
Summary:	Documentation files for %{name}

%description doc
This package contains the documentation files for %{name}.


%prep
%{__rm} -rf %{gem_name}-%{version}
%{_bindir}/gem unpack %{SOURCE0}
%setup -DTqn %{gem_name}-%{version}
%{_bindir}/gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec


%build
%{_bindir}/gem build %{gem_name}.gemspec
%gem_install


%install
%{__mkdir} -p %{buildroot}%{gem_dir}
%{__cp} -a ./%{gem_dir}/* %{buildroot}%{gem_dir}
%{__rm} -f %{buildroot}%{gem_instdir}/{LICENSE,Rakefile}
%{__install} -pm0644 %{SOURCE1} ./README.markdown


%files
%exclude %{gem_cache}
%license LICENSE
%doc README.markdown
%{gem_instdir}
%{gem_spec}

%files doc
%doc %{_pkgdocdir}
%doc %{gem_docdir}


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 23 2016 Björn Esser <fedora@besser82.io> - 0.14.0-1
- initial import (#1368849)

* Sun Aug 21 2016 Björn Esser <fedora@besser82.io> - 0.14.0-0.1
- initial rpm-release (#1368849)
